Subject: bug#58839: [Patch] Re: bug#58839: 29.0.50; project-kill-buffer fails when Eglot is running

From: João Távora <[email-masked]>
Date: Mon, 31 Oct 2022 11:56:39 +0000

On Mon, Oct 31, 2022 at 9:52 AM João Távora <[email-masked]> wrote:

> In the little time I've used this feature since the start of this
> discussion I have discovered it backfires no small number of occasions:
> Eglot, CIDER, *scratch*, *ielm*, *sly-scratch*, *Completions*,...  Heck
> even *ibuffer* itself is targeted by this.

And you can add the gnus mail buffers to this list. If you are unlucky
enough to start M-x gnus from a project file to read your email, then
closing that project in the future will take your gnus session, your
summary buffers, messages, etc. with it.  This can't possibly be considered
an exotic use case, and can't be right.

João